using System;

namespace ConsoleApp1
{
    class Program
    {

        static string Nesusedni(string s, int a, int b)
        {
            string r = "";
            if (Math.Abs(a - b) < 2)
            {
                int k = (a > b) ? 0 : 1;
                for (int i = 0; i < a + b; i++)
                {
                    if (i % 2 == k)
                    {
                        r += s[0];
                    }
                    else
                    {
                        r += s[1];
                    }
                }
                return r;
            }
            return "nemoguce";
        }

        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] r = Console.ReadLine().Split();
            Console.WriteLine(Nesusedni(s, int.Parse(r[0]), int.Parse(r[1])));
        }
    }
}